Skip to content

Resources consumption

All operations require authentication.

4 operationsv1/hosting/privateDatabase
Agent setup

List CPU throttling eventsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/cpuThrottle

Returns the start and end dates of each period when the CPU of the service was throttled.

Path parameters

serviceName
required
string

Service name

Response

200CpuThrottle[]successful operation
endDate
read-only
stringdate-time

End date of the CPU throttle

startDate
read-only
stringdate-time

Start date of the CPU throttle

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/cpuThrottle \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "endDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }]

Get a metrics tokenProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/metricsToken

Generates a new token at each call and returns it with the endpoint to query the metrics of the service.

Path parameters

serviceName
required
string

Service name

Response

200MetricsTokensuccessful operation
endpoint
read-only
string

Backend url

token
read-only
stringpassword

Generated token

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/metricsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": "string", "token": "string"}

List out-of-memory kill eventsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/oom

Returns the date and the memory size reached for each out-of-memory kill on the service.

Path parameters

serviceName
required
string

Service name

Response

200Oom[]successful operation
date
read-only
stringdate-time

Date of the OOM kill

sizeReached
read-only
integer

Memory size reached

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/oom \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "sizeReached": 0 }]

Refresh the quotaProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/quotaRefresh

Recalculates the disk space used by the service. Returns a task to follow the refresh.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/quotaRefresh \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}